<?php
namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class ReportService {

    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function generateBirtReport(
        array $row
    ): string {
        $nrOrg = (int) $row['NRORG'];
        $hcmServicesRoute = 'generateBirtReport';

        $params = [
            'requestType' => 'Row',
            'row' => $row
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $reportLink = (string) $response['dataset'][$hcmServicesRoute]['link'];

        return $reportLink;
    }

    public function downloadReport(
        int $nrOrg,
        string $link
    ): array {
        $hcmServicesRoute = 'downloadReport';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'link' => $link
            ]
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $reportLink = (array) $response['dataset'][$hcmServicesRoute];

        return $reportLink;
    }

}
