/* Sistemas Integrados TEKNISA

Nome: 9952_GERTRGO.sql

Descrio:
Trigger para incluso do nome do bairro corretamente de acordo com o cadastro de Bairro.

Criao:
22/08/2016 Petterson Rodrigues Galdino
*/

CREATE OR REPLACE TRIGGER ATUALIZA_NMBAIREMPR
BEFORE INSERT OR UPDATE OF CDBAIRRO
ON EMPRESA FOR EACH ROW
DECLARE
   V_NMBAIRRO VARCHAR2(50);
BEGIN
   IF :NEW.CDBAIRRO IS NOT NULL THEN
      SELECT NMBAIRRO
        INTO V_NMBAIRRO
        FROM BAIRRO
       WHERE CDBAIRRO    = :NEW.CDBAIRRO
         AND CDPAIS      = :NEW.CDPAIS
         AND SGESTADO    = :NEW.SGESTADO
         AND CDMUNICIPIO = :NEW.CDMUNICIPIO;

       :NEW.NMBAIREMPR  := V_NMBAIRRO;
   ELSE
      :NEW.NMBAIREMPR  := NULL;
   END IF;
END;
/